> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File



## OpenAPI

````yaml delete /files/{fileId}
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.callhq.ai/api
security:
  - apiKeyAuth: []
paths:
  /files/{fileId}:
    delete:
      tags:
        - Files
      summary: Delete File
      parameters:
        - in: path
          name: fileId
          required: true
          schema:
            type: string
          description: Unique identifier of the file to delete.
      responses:
        '200':
          description: File deleted successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: File deleted successfully
        '404':
          description: File not found.
        '500':
          description: Error deleting file.
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````